Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to install the MySQLdb Python package on my CentOS 5.1 machine, without success.

At first I tried using easy_install, but the version it installed was 1.2.1, which was too old for Django, which required 1.2.1p2 at the very least.

So I went to download the source from the SourceForge project site. I put the archive on my desktop and extracted to a folder there. Then I installed according to the instructions, with setup.py build and setup.py install. This seemed to work at first, but a perverse thing happened: It uses the folder on the desktop when working with the package! I know because I tried importing the package with Python, and it gave me some warning mentioning the path on my desktop!

What's going on here and what can I do?

(Note: The Python version installed here is 2.4)

share|improve this question
add comment

1 Answer

up vote 3 down vote accepted

Got it, one needs to do easy_install mysql-python instead of easy_install mysql_python.

share|improve this answer
    
Good grief. I had to look at your answer twice just to see the difference. Glad you caught it. –  Clinton Blackmore Oct 21 '09 at 14:15
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.